Skip to content

Global Security ​

11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
deleteGlobalThreatListPOSTDelete Global Threat List
operateGlobalThreatsPOSTOperate Global Threats
delBlockedCountryDELETEDelete blocked countries.
getBlockedCountriesPOSTGet Blocked Countries
addBlockedCountryPOSTAdd Blocked Country
getGlobalThreatListGETGet Global Threat List
getThreatCountGETGet Threat Count
getGlobalTopThreatListGETGet Global Top Threat List
getGlobalThreatMapPOSTGet Global Threat Map
getGlobalCategoryPOSTGet Global Category
getCountryThreatsPOSTGet Country Threats

deleteGlobalThreatList ​

POST /openapi/v1/{omadacId}/ips/threat

Delete Global Threat List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeleteGlobalThreatOpenApiVO

FieldTypeRequiredDescription
threatIdarray<SiteTimeIdOpenApiVO>noThe global view needs to pass in a site ID.
json
// omada_call_operation
{
  "operationId": "deleteGlobalThreatList",
  "body": "{...}"
}
Details, permissions and error codes

Delete archived threats in batches
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

operateGlobalThreats ​

POST /openapi/v1/{omadacId}/ips/threat/ops

Operate Global Threats

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema OperateGlobalThreatOpenApiVO

FieldTypeRequiredDescription
threatIdarray<SiteTimeIdOpenApiVO>noThe global view needs to pass in a siteId.
typeintegeryestype,0 - block, 1 - isolate device, 2 - allow from all ips, 3 - allow this ip.
signatureSuppressionSignatureSuppressionno(SignatureSuppression not expanded; call omada_get_schema "SignatureSuppression")
blockNamestringnoBlock Name.
json
// omada_call_operation
{
  "operationId": "operateGlobalThreats",
  "body": "{...}"
}
Details, permissions and error codes

Perform operations on threats in batches
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

delBlockedCountry ​

DELETE /openapi/v1/{omadacId}/security/blocked-country

Delete blocked countries.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema OpsBlockedCountryOpenApiVO

FieldTypeRequiredDescription
countrystringnoCountry.
sitesarray<string>noSite list.
json
// omada_call_operation
{
  "operationId": "delBlockedCountry",
  "body": "{...}"
}
Details, permissions and error codes

Delete blocked countries.
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getBlockedCountries ​

POST /openapi/v1/{omadacId}/security/blocked-country

Get Blocked Countries

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SiteListOpenApiVO

FieldTypeRequiredDescription
sitesstringnoSite ID list.
json
// omada_call_operation
{
  "operationId": "getBlockedCountries",
  "body": "{...}"
}
Details, permissions and error codes

Get the list of blocked countries
The interface requires one of the permissions:
Global Threat Manager View Only

addBlockedCountry ​

POST /openapi/v1/{omadacId}/security/blocked-country/add

Add Blocked Country

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema OpsBlockedCountryOpenApiVO

FieldTypeRequiredDescription
countrystringnoCountry.
sitesarray<string>noSite list.
json
// omada_call_operation
{
  "operationId": "addBlockedCountry",
  "body": "{...}"
}
Details, permissions and error codes

Add blocked countries to list
The interface requires one of the permissions:
Global Threat Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getGlobalThreatList ​

GET /openapi/v1/{omadacId}/security/threat-management

Get Global Threat List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteListquerystringnosites are separated by ','. If no value is passed, all sites are selected by default.
archivedquerybooleanyesarchived
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
filters.startTimequeryintegeryesStart timestamp, in seconds, such as 1682000000
filters.endTimequeryintegeryesEnd timestamp, in seconds, such as 1682000000
filters.severityqueryintegernoThreat Severity, such as 0:Critical, 1: Major, 2:Moderate, 3:Minor, 4:Low
sorts.timequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field Threat Description/Classification/Classification Description
json
// omada_call_operation
{
  "operationId": "getGlobalThreatList",
  "params": {
    "archived": "<archived>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

Get the global view threat management list
The interface requires one of the permissions:
Global Threat Manager View Only

getThreatCount ​

GET /openapi/v1/{omadacId}/security/threat-management/severity

Get Threat Count

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
startTimequeryintegeryesStart Time
endTimequeryintegeryesEnd Time
json
// omada_call_operation
{
  "operationId": "getThreatCount",
  "params": {
    "startTime": "<startTime>",
    "endTime": "<endTime>"
  }
}
Details, permissions and error codes

Get the global view of the number of threats by severity level
The interface requires one of the permissions:
Global Threat Manager View Only

getGlobalTopThreatList ​

GET /openapi/v1/{omadacId}/security/threat-management/top

Get Global Top Threat List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
startTimequeryintegeryesStart Time
endTimequeryintegeryesEnd Time
json
// omada_call_operation
{
  "operationId": "getGlobalTopThreatList",
  "params": {
    "startTime": "<startTime>",
    "endTime": "<endTime>"
  }
}
Details, permissions and error codes

Get the number of threats in the global view top5
The interface requires one of the permissions:
Global Threat Manager View Only

getGlobalThreatMap ​

POST /openapi/v1/{omadacId}/security/threat-map

Get Global Threat Map

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema QueryThreatMapOpenApiVO

FieldTypeRequiredDescription
startintegernoThe timestamp for the start time is in milliseconds.
endintegernoThe timestamp for the end time is in milliseconds.
severitystringnoSeverity.
countrystringnoThe country that was attacked.
sitesstringnoComma separated sites should be explained. If it is not passed, select all.
json
// omada_call_operation
{
  "operationId": "getGlobalThreatMap",
  "body": "{...}"
}
Details, permissions and error codes

Get the data for the initial page of the threat map
The interface requires one of the permissions:
Global Threat Manager View Only

getGlobalCategory ​

POST /openapi/v1/{omadacId}/security/threat-map/threat-count

Get Global Category

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema QueryThreatMapOpenApiVO

FieldTypeRequiredDescription
startintegernoThe timestamp for the start time is in milliseconds.
endintegernoThe timestamp for the end time is in milliseconds.
severitystringnoSeverity.
countrystringnoThe country that was attacked.
sitesstringnoComma separated sites should be explained. If it is not passed, select all.
json
// omada_call_operation
{
  "operationId": "getGlobalCategory",
  "body": "{...}"
}
Details, permissions and error codes

The number of threats to attack countries is displayed in categories
The interface requires one of the permissions:
Global Threat Manager View Only

getCountryThreats ​

POST /openapi/v1/{omadacId}/security/threat-map/threats

Get Country Threats

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema QueryCountryThreatListOpenApiVO

FieldTypeRequiredDescription
countrystringnoCountry.
severitystringnoDisplays the number of threats at different levels,0 - very high,1- high, 2- medium,3 - low.
sitesstringnoList of siteIds, separated by commas (,). All sites are returned if they are not passed.
currentPageintegernoCurrent Page.
currentPageSizeintegernoCurrent Page Size.
searchKeystringnoSearch Key.
searchFieldstringnoSpecify the search domain, separated by commas, such as "clientMac,clientName".Can be null, in which case the default search domain should be used.
sortsstringnosorts.
startTimeintegernoThe timestamp for the start time is in milliseconds.
endTimeintegernoEnd Time.
json
// omada_call_operation
{
  "operationId": "getCountryThreats",
  "body": "{...}"
}
Details, permissions and error codes

Get threats from individual countries
The interface requires one of the permissions:
Global Threat Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.